dapper to hardy: could not calculate the upgrade

Bug #277985 reported by Sifar on 2008-10-04
16
This bug affects 1 person
Affects Status Importance Assigned to Milestone
update-manager (Ubuntu)
Medium
Unassigned

Bug Description

Binary package hint: ubuntu-desktop

while upgrading to ubuntu 8.04 LTS, from ubuntu 6.06 LTS, i got this error on the second stage of update manager i.e. "Setting new software channels". regarding ubuntu-desktop.

"A unresolvable error occured while calculating the upgrade...."

Sifar (sifar786) wrote :
Brian Murray (brian-murray) wrote :

From main.log:

2008-10-04 13:28:50,157 DEBUG none of the '['ubuntu-desktop', 'kubuntu-desktop', 'edubuntu-desktop', 'xubuntu-desktop']' meta-pkgs installed
2008-10-04 13:28:50,158 DEBUG guessing 'ubuntu-desktop' as missing meta-pkg
2008-10-04 13:29:01,952 ERROR failed to mark 'ubuntu-desktop' for install (E:Unable to correct problems, you have held broken packages.)

Changed in update-manager:
importance: Undecided → Medium
status: New → Confirmed
Dimitrios Symeonidis (azimout) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. You reported this bug a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue for you. Can you try with the latest Ubuntu release? Thanks in advance.

Changed in update-manager (Ubuntu):
status: Confirmed → Incomplete
paul477 (gerold-gruber) wrote :

same error message as im #2 from Brian when I try to update a ubuntu server i386 from dapper 6.06.2 to hardy 8.04.3 with cdromupgrade
ok, this server has no ubuntu-desktop nor any *-desktop.
it is a server , no need for a desktop.

the physical server has no online connection, unfortunately.
Updating a test (virtual) system with online access worked well, but this doesn't help me with the physical server.

paul477 (gerold-gruber) wrote :

sorry, correction, slightly different error message here:
2009-09-21 15:00:10,781 DEBUG Installing 'python-apt' (python2.4->python upgrade rule)
2009-09-21 15:00:10,821 DEBUG Kernel uname: '2.6.15-54-server'
2009-09-21 15:00:11,106 DEBUG none of the '['ubuntu-desktop', 'kubuntu-desktop', 'edubuntu-desktop', 'xubuntu-desktop']' meta-pkgs installed
2009-09-21 15:00:11,616 ERROR Dist-upgrade failed: 'Can't upgrade required meta-packages'

Launchpad Janitor (janitor) wrote :

[Expired for update-manager (Ubuntu) because there has been no activity for 60 days.]

Changed in update-manager (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers